import '../../contracts/trakt/trakt_token.dart';
import '../../contracts/trakt/trakt_user.dart';


abstract class TraktGateway {

  Future<TraktToken> exchangeCode(String code);


  Future<TraktToken> refreshToken(String refreshToken);


  Future<TraktUser> getMe(String accessToken);
}
